package com.zd.exam.domain.vo;

import com.zd.exam.domain.ElPointsLoginfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/10
 */
public class ElPointsLoginfoVO extends ElPointsLoginfo {

    /**
     * typeName
     */
    @ApiModelProperty(value = "积分类别名称")
    private String typeName;

    /**
     * creditScore
     */
    @ApiModelProperty(value = "信用分")
    private String creditScore;

    /**
     * beginTime
     */
    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    /**
     * endTime
     */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /**
     * bonusType
     */
    @ApiModelProperty(value = "1是奖励，2是兑换")
    private Integer bonusType;

    /**
     * yearMonth
     */
    @ApiModelProperty(value = "年月日期字符串")
    private String yearMonth;


    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(String creditScore) {
        this.creditScore = creditScore;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getBonusType() {
        return bonusType;
    }

    public void setBonusType(Integer bonusType) {
        this.bonusType = bonusType;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }
}
